# eslint-config-dollarshaveclub [![Build Status](https://travis-ci.org/dollarshaveclub/eslint-config-dollarshaveclub.svg?branch=master)](https://travis-ci.org/dollarshaveclub/eslint-config-dollarshaveclub) [![Greenkeeper badge](https://badges.greenkeeper.io/dollarshaveclub/eslint-config-dollarshaveclub.svg)](https://greenkeeper.io/)

> ESLint [shareable config](http://eslint.org/docs/developer-guide/shareable-configs.html) for Dollar Shave Club.

## Installation

```sh
$ npm install --save-dev \
  @typescript-eslint/eslint-plugin@^1.x \
  @typescript-eslint/parser@^1.x \
  babel-eslint@^10.x \
  eslint@^5.x \
  eslint-config-prettier@^4.x \
  eslint-config-standard@^12.x \
  eslint-config-standard-react@^7.x \
  eslint-import-resolver-typescript@1.x \
  eslint-plugin-import@^2.x \
  eslint-plugin-jest@^22.x \
  eslint-plugin-jsx-a11y@^6.x \
  eslint-plugin-node@^8.x \
  eslint-plugin-prettier@^3.x \
  eslint-plugin-promise@^4.x \
  eslint-plugin-react@^7.x \
  eslint-plugin-standard@^4.x \
  prettier@^1.x \
  typescript@^3.x \
  eslint-config-dollarshaveclub
```

## Usage

Once the `eslint-config-dollarshaveclub` package is installed, you can use it by specifying `dollarshaveclub`, or `dollarshaveclub/react` in the [`extends`](http://eslint.org/docs/user-guide/configuring#extending-configuration-files) section of your [ESLint configuration](http://eslint.org/docs/user-guide/configuring).

For frameworkless JS modules:

```js
{
  "extends": "dollarshaveclub",
  "rules": {
    // Additional, per-project rules...
  }
}
```

For React projects:

```js
{
  "extends": "dollarshaveclub/react"
}
```

## License

MIT
