'use strict'

module.exports = {
  extends: [
    'eslint-config-standard-react',
    './',
    'eslint-config-prettier/react',
  ].map(require.resolve),
  env: {
    browser: true,
  },
  plugins: ['jsx-a11y'],
  rules: {
    'jsx-a11y/label-has-for': [
      'error',
      {
        components: ['Label'],
        required: {
          every: ['id'],
        },
        allowChildren: false,
      },
    ],
  },
  overrides: [
    {
      files: ['**/*.ts', '**/*.tsx'],
      rules: {
        'react/prop-types': 'off',
      },
    },
  ],
  settings: {
    react: {
      version: 'detect',
    },
  },
}
